[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomPage.PageIndex

Ordinal position for the page in the parent control.

## Declaration

Source position: comctrls.pp line 267

`public property TCustomPage.PageIndex : Integer read GetPageIndex write SetPageIndex;`

## Description

PageIndex is an Integer property which contains the ordinal position for the page control in its Parent control. Setting a new value for the property causes the Parent control to call its MoveTab method to reorder the pages. This action is performed when the Parent control is descended from TCustomTabControl.

## See also

TCustomTabControl |  | Implements the base class for tabbed controls in the LCL.